libxml++ 3.2.0

Public Member Functions | List of all members
xmlpp::EntityReference Class Reference

Entity references refer to previously declared entities. More...

`#include <libxml++/nodes/entityreference.h>`

Inheritance diagram for xmlpp::EntityReference:
[legend]

## Public Member Functions
| EntityReference (_xmlNode* node)
| ~EntityReference () override
Glib::ustring | get_original_text () const
| Get the text as read from the XML or DTD file. More...
Glib::ustring | get_resolved_text () const
| Get the text with character references (like "&#xdf;") resolved. More...
Public Member Functions inherited from xmlpp::Node
| Node (_xmlNode* node)
| ~Node () override
| Destructor. More...
_xmlNode* | cobj () noexcept
| Access the underlying libxml implementation. More...
const _xmlNode* | cobj () const noexcept
| Access the underlying libxml implementation. More...
bool | eval_to_boolean (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
bool | eval_to_boolean (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
NodeSet | find (const Glib::ustring& xpath)
| Find nodes from an XPath expression. More...
const_NodeSet | find (const Glib::ustring& xpath) const
| Find nodes from an XPath expression. More...
NodeSet | find (const Glib::ustring& xpath, const PrefixNsMap& namespaces)
| Find nodes from an XPath expression. More...
const_NodeSet | find (const Glib::ustring& xpath, const PrefixNsMap& namespaces) const
| Find nodes from an XPath expression. More...
NodeList | get_children (const Glib::ustring& name=Glib::ustring())
| Obtain the list of child nodes. More...
const_NodeList | get_children (const Glib::ustring& name=Glib::ustring()) const
| Obtain the list of child nodes. More...
const Node* | get_first_child (const Glib::ustring& name=Glib::ustring()) const
| Get the first child of this node. More...
Node* | get_first_child (const Glib::ustring& name=Glib::ustring())
| Get the first child of this node. More...
int | get_line () const
| Discover at what line number this node occurs in the XML file. More...
Glib::ustring | get_name () const
| Get the name of this node. More...
Glib::ustring | get_namespace_prefix () const
| Get the namespace prefix of this node. More...
Glib::ustring | get_namespace_uri () const
| Get the namespace URI of this node. More...
const Node* | get_next_sibling () const
| Get the next sibling for this node. More...
Node* | get_next_sibling ()
| Get the next sibling for this node. More...
const Element* | get_parent () const
| Get the parent element for this node. More...
Element* | get_parent ()
| Get the parent element for this node. More...
Glib::ustring | get_path () const
| Get the XPath of this node. More...
const Node* | get_previous_sibling () const
| Get the previous sibling for this node . More...
Node* | get_previous_sibling ()
| Get the previous sibling for this node. More...
Node* | import_node (const Node* node, bool recursive=true)
| Import node(s) from another document under this node, without affecting the source node. More...
void | set_name (const Glib::ustring& name)
| Set the name of this node. More...
void | set_namespace (const Glib::ustring& ns_prefix)
| Set the namespace prefix used by the node. More...

## Additional Inherited Members
Public Types inherited from xmlpp::Node
using | const_NodeList = std::list< const Node* >
using | const_NodeSet = std::vector< const Node* >
using | NodeList = std::list< Node* >
using | NodeSet = std::vector< Node* >
using | PrefixNsMap = std::map< Glib::ustring, Glib::ustring >
| A map of namespace prefixes to namespace URIs. More...
Static Public Member Functions inherited from xmlpp::Node
static void | create_wrapper (_xmlNode* node)
| Construct the correct C++ instance for a given libxml C struct instance. More...
static void | free_wrappers (_xmlNode* node)
| Delete the C++ instance for a given libxml C struct instance, and also recursively destroy the C++ instances for any children. More...
static void | remove_node (Node* node)
| Remove a node and its children. More...
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable () noexcept
| NonCopyable (const NonCopyable&)=delete
| NonCopyable (NonCopyable&&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete
NonCopyable& | operator= (NonCopyable&&)=delete

## Detailed Description

Entity references refer to previously declared entities.

This will be instantiated by the parser.

## Constructor & Destructor Documentation

## ◆ EntityReference()

xmlpp::EntityReference::EntityReference | ( | _xmlNode * | node | ) |
| explicit

## ◆ ~EntityReference()

xmlpp::EntityReference::~EntityReference | ( |  | ) |
| override

## Member Function Documentation

## ◆ get_original_text()

Glib::ustring xmlpp::EntityReference::get_original_text | ( |  | ) | const

Get the text as read from the XML or DTD file.

Returns
  The escaped text.

## ◆ get_resolved_text()

Glib::ustring xmlpp::EntityReference::get_resolved_text | ( |  | ) | const

Get the text with character references (like "&#xdf;") resolved.

If the corresponding entity declaration does not contain any reference to another entity, this is the text that the reference would have resolved to if the XML document had been parsed with Parser::set_substitute_entities(true).

Returns
  The text with character references unescaped.